Package io.vertx.json.schema.common.dsl

## Class Keywords

- java.lang.Object
- - io.vertx.json.schema.common.dsl.Keywords

-     public class Keywords
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Keywords()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NumberKeyword` | `exclusiveMaximum​(double exclusiveMaximum)` |
    `static NumberKeyword` | `exclusiveMinimum​(double exclusiveMinimum)` |
    `static StringKeyword` | `format​(StringFormat format)` |
    `static NumberKeyword` | `maximum​(double maximum)` |
    `static ArrayKeyword` | `maxItems​(int maxItems)` |
    `static StringKeyword` | `maxLength​(int maxLength)` |
    `static ObjectKeyword` | `maxProperties​(int maxProperties)` |
    `static NumberKeyword` | `minimum​(double minimum)` |
    `static ArrayKeyword` | `minItems​(int minItems)` |
    `static StringKeyword` | `minLength​(int minLength)` |
    `static ObjectKeyword` | `minProperties​(int minProperties)` |
    `static NumberKeyword` | `multipleOf​(double multipleOf)` |
    `static StringKeyword` | `pattern​(Pattern pattern)` |
    `static Keyword` | `type​(SchemaType... types)` |
    `static ArrayKeyword` | `uniqueItems()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Keywords

          public Keywords()

  - ### Method Detail

    - #### type

          public static Keyword type​(SchemaType... types)

    - #### exclusiveMaximum

          public static NumberKeyword exclusiveMaximum​(double exclusiveMaximum)

    - #### maximum

          public static NumberKeyword maximum​(double maximum)

    - #### exclusiveMinimum

          public static NumberKeyword exclusiveMinimum​(double exclusiveMinimum)

    - #### minimum

          public static NumberKeyword minimum​(double minimum)

    - #### multipleOf

          public static NumberKeyword multipleOf​(double multipleOf)

    - #### format

          public static StringKeyword format​(StringFormat format)

    - #### maxLength

          public static StringKeyword maxLength​(int maxLength)

    - #### minLength

          public static StringKeyword minLength​(int minLength)

    - #### pattern

          public static StringKeyword pattern​(Pattern pattern)

    - #### maxItems

          public static ArrayKeyword maxItems​(int maxItems)

    - #### minItems

          public static ArrayKeyword minItems​(int minItems)

    - #### uniqueItems

          public static ArrayKeyword uniqueItems()

    - #### maxProperties

          public static ObjectKeyword maxProperties​(int maxProperties)

    - #### minProperties

          public static ObjectKeyword minProperties​(int minProperties)